Package com.mapd.thrift.server

## Class TDBObjectPermissions

- java.lang.Object
- - org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>
  - - com.mapd.thrift.server.TDBObjectPermissions

All Implemented Interfaces:
  `Serializable`, `Comparable<TDBObjectPermissions>`, `org.apache.thrift.TBase<TDBObjectPermissions,​TDBObjectPermissions._Fields>`, `org.apache.thrift.TSerializable`

    public class TDBObjectPermissions
    extends org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBObjectPermissions._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TDBObjectPermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

### Constructor Summary

Constructors
`TDBObjectPermissions()`
`TDBObjectPermissions​(TDBObjectPermissions other)`
`TDBObjectPermissions​(TDBObjectPermissions._Fields setField, Object value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `checkType​(TDBObjectPermissions._Fields setField, Object value)`
`int` `compareTo​(TDBObjectPermissions other)`
`static TDBObjectPermissions` `dashboard_permissions_​(TDashboardPermissions value)`
`static TDBObjectPermissions` `database_permissions_​(TDatabasePermissions value)`
`TDBObjectPermissions` `deepCopy()`
`protected TDBObjectPermissions._Fields` `enumForId​(short id)`
`boolean` `equals​(TDBObjectPermissions other)`
`boolean` `equals​(Object other)`
`TDBObjectPermissions._Fields` `fieldForId​(int fieldId)`
`TDashboardPermissions` `getDashboard_permissions_()`
`TDatabasePermissions` `getDatabase_permissions_()`
`protected org.apache.thrift.protocol.TField` `getFieldDesc​(TDBObjectPermissions._Fields setField)`
`protected org.apache.thrift.protocol.TStruct` `getStructDesc()`
`TTablePermissions` `getTable_permissions_()`
`TViewPermissions` `getView_permissions_()`
`int` `hashCode()`
`boolean` `isSetDashboard_permissions_()`
`boolean` `isSetDatabase_permissions_()`
`boolean` `isSetTable_permissions_()`
`boolean` `isSetView_permissions_()`
`void` `setDashboard_permissions_​(TDashboardPermissions value)`
`void` `setDatabase_permissions_​(TDatabasePermissions value)`
`void` `setTable_permissions_​(TTablePermissions value)`
`void` `setView_permissions_​(TViewPermissions value)`
`protected Object` `standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void` `standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`
`static TDBObjectPermissions` `table_permissions_​(TTablePermissions value)`
`protected Object` `tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void` `tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`
`static TDBObjectPermissions` `view_permissions_​(TViewPermissions value)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### metaDataMap

    public static final Map<TDBObjectPermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBObjectPermissions

    public TDBObjectPermissions()

#### TDBObjectPermissions

    public TDBObjectPermissions​(TDBObjectPermissions._Fields setField,
                                Object value)

#### TDBObjectPermissions

    public TDBObjectPermissions​(TDBObjectPermissions other)

### Method Detail

#### deepCopy

    public TDBObjectPermissions deepCopy()

#### database_permissions_

    public static TDBObjectPermissions database_permissions_​(TDatabasePermissions value)

#### table_permissions_

    public static TDBObjectPermissions table_permissions_​(TTablePermissions value)

#### dashboard_permissions_

    public static TDBObjectPermissions dashboard_permissions_​(TDashboardPermissions value)

#### view_permissions_

    public static TDBObjectPermissions view_permissions_​(TViewPermissions value)

#### checkType

    protected void checkType​(TDBObjectPermissions._Fields setField,
                             Object value)
                      throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`
Throws:
  `ClassCastException`

#### standardSchemeReadValue

    protected Object standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                             org.apache.thrift.protocol.TField field)
                                      throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`
Throws:
  `org.apache.thrift.TException`

#### standardSchemeWriteValue

    protected void standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                     throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeReadValue

    protected Object tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                          short fieldID)
                                   throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                  throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`
Throws:
  `org.apache.thrift.TException`

#### getFieldDesc

    protected org.apache.thrift.protocol.TField getFieldDesc​(TDBObjectPermissions._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`

#### getStructDesc

    protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`

#### enumForId

    protected TDBObjectPermissions._Fields enumForId​(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TDBObjectPermissions,​TDBObjectPermissions._Fields>`

#### fieldForId

    public TDBObjectPermissions._Fields fieldForId​(int fieldId)

#### getDatabase_permissions_

    public TDatabasePermissions getDatabase_permissions_()

#### setDatabase_permissions_

    public void setDatabase_permissions_​(TDatabasePermissions value)

#### getTable_permissions_

    public TTablePermissions getTable_permissions_()

#### setTable_permissions_

    public void setTable_permissions_​(TTablePermissions value)

#### getDashboard_permissions_

    public TDashboardPermissions getDashboard_permissions_()

#### setDashboard_permissions_

    public void setDashboard_permissions_​(TDashboardPermissions value)

#### getView_permissions_

    public TViewPermissions getView_permissions_()

#### setView_permissions_

    public void setView_permissions_​(TViewPermissions value)

#### isSetDatabase_permissions_

    public boolean isSetDatabase_permissions_()

#### isSetTable_permissions_

    public boolean isSetTable_permissions_()

#### isSetDashboard_permissions_

    public boolean isSetDashboard_permissions_()

#### isSetView_permissions_

    public boolean isSetView_permissions_()

#### equals

    public boolean equals​(Object other)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBObjectPermissions other)

#### compareTo

    public int compareTo​(TDBObjectPermissions other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`